h43335
s 00044/00000/00000
d D 1.1 82/08/03 08:47:13 cecily 1 0
e
u
U
t
T
I 1
execle	title	unix c svc library -- execle

.exece	equ	59

	entry	execle
r0	equ	0
r1	equ	1
rf	equ	15
sp	equ	7
*
	impur
execsvc	equ	*
	svc	0,.exece
name	dc	a(*-*)
args	dc	a(*-*)
env	dc	a(*-*)
*
	pure
execle	equ	*
	l	r0,0(sp)	name
	st	r0,name
	la	r1,adc(sp)	args are in stack
	st	r1,args
envlp	equ	*
	l	r0,0(r1)
	bz	envfnd
	ais	r1,adc
	b	envlp
envfnd	equ	*
	ais	r1,adc
	st	r1,env
	svc	0,0
	dc	a(execsvc)
	bc	error
	br	rf	Q: can this ever happen ?
error	equ	*
	st	r0,errno
	lcs	r0,1		error return
	br	rf

errno	comn
	das	1
	ends
	end
E 1
